Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80551 - USB mouse not detected after kernel update to kernel-2.4.18-19-8.0
Summary: USB mouse not detected after kernel update to kernel-2.4.18-19-8.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 21:19 UTC by Need Real Name
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:20 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-27 21:19:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After a kernel update via the RHN, from kernel 2.4.18-18.8.0 towards
2.4.18-19.8.0, my external USB mouse does not work any more.  This happens on
both Red Hat Linux 7.3 as 8.0.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install Redhat 7.3/8.0 and update towards kernel 2.4.18-18.8.0 (search this
version on a FTP server)
2. insert USB mouse -> it works (in my case a logitech)
3. update your kernel to the latest available Red Hat kernel (2.4.18-19.8.0).
4. reboot
5. USB mouse does not work any more
    

Actual Results:  USB mouse does not work any more after upgrading to the
2.4.18-19.8.0.

Expected Results:  It should have stayed working, as it worked on previous Red
Hat kernels...

Additional info:

Comment 1 Need Real Name 2003-01-19 19:19:45 UTC
Howto solve (workaround):

when you start your machine, remove the USB mouse from the system.
wait until you get the "login" prompt.
insert your USB mouse
USB mouse works.

Comment 2 Shawn Walker 2003-03-28 18:46:16 UTC
I have the same problem since 2.4.18-19-8.0. Logitech USB Dual Optical Mouse. In
fact on my system if I leave the mouse plugged in and X starts and I get to the
login screen, all input devices (usb mouse, ps/2 keyboard) stop working although
my machine hasn't "locked up".

Pluggin in the mouse after the system reaches the text login: prompt and before
it starts X allows me to use the USB Mouse and everything else just fine...

Comment 3 Bugzilla owner 2004-09-30 15:40:20 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.